%filter_from_requires /typelib.AppIndicator3./d
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-macros-fedora-compat
BuildRequires: cmake gcc-c++ python-devel
# END SourceDeps(oneline)
%global githash caad812
%global gitdate 20121215
Name:           hotot
Version:        0.9.9
Release:        alt1_3.20121215gitcaad812
Summary:        Lightweight & open source micro blogging client
Group:          Networking/WWW
License:        LGPLv3+ and LGPLv3 and BSD and GPLv2
URL:            http://hotot.org

# wget https://github.com/shellex/Hotot/tarball/%%{githash} -O hotot-%%{version}-%%{githash}.tar.gz
Source0:        hotot-%{version}-%{githash}.tar.gz
BuildRequires:  intltool gettext desktop-file-utils
# Gtk3 version
BuildRequires:  libgtk+3-devel libwebkitgtk3-devel python3-module-pygobject3 python3-module-pygobject3-devel
# Qt version
BuildRequires:  qt4-devel libqt4-devel kde4libs-devel
Source44: import.info

%description
Hotot, is a lightweight & open source micro blogging client with a 
minimalistic yet stylish interface.  It supports identi.ca and Twitter.
It has many features including support for real time updates, multi-column
view, threaded conversations, themes, integration with image services,
extensions and much more

%package common
Summary:        Lightweight & open source micro blogging client
Group:          Networking/WWW
Obsoletes:      hotot < 0.9.9-1
Provides:       %{name} = %{version}-%{release}

%description common
Hotot, is a lightweight & open source micro blogging client with a 
minimalistic yet stylish interface. This package contains common files 
such as locale and icons files shared between the GTK3 and Qt clients

%package gtk
Summary:        Lightweight & open source micro blogging client
Group:          Networking/WWW
Requires:       %{name}-common = %{version}
Obsoletes:      hotot < 0.9.9-1
Provides:       %{name} = %{version}-%{release}

%description gtk
Hotot, is a lightweight & open source micro blogging client with a 
minimalistic yet stylish interface. This is the GTK3 client

%package qt
Summary:        Lightweight & open source micro blogging client
Group:          Networking/WWW
Requires:       %{name}-common = %{version}
%description qt
Hotot, is a lightweight & open source micro blogging client with a 
minimalistic yet stylish interface. This is the Qt client

%prep
%setup -q -n shellex-Hotot-%{githash}

%build
%{fedora_cmake} -DWITH_QT=on -DWITH_GIR=ON 
make %{?_smp_mflags}

%install
%makeinstall_std

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%files gtk
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{python_sitelibdir}/%{name}/

%files qt
%{_bindir}/%{name}-qt
%{_datadir}/applications/%{name}-qt.desktop
%{_datadir}/kde4/apps/desktoptheme/default/icons/hotot_qt.svg
%{_datadir}/icons/hicolor/scalable/status/hotot_qt-active.svg
%{_datadir}/icons/hicolor/scalable/status/hotot_qt-inactive.svg

%files common -f %{name}.lang
%doc ChangeLog LGPL-license.txt
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%changelog
* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.9-alt1_3.20121215gitcaad812
- initial fc import

